from app.db.db_base import DbCommon
from sqlalchemy import String
from sqlalchemy.orm import Mapped, mapped_column


class SysUser(DbCommon):
    """
    用户表 - 保存用户基本信息
    """
    __tablename__ = "sys_user"
    username: Mapped[str] = mapped_column(String(50), unique=True, nullable=False)
    password: Mapped[str] = mapped_column(String(255))
    login_name: Mapped[str] = mapped_column(String(255))
    avatar: Mapped[str] = mapped_column(String(255))
    user_status: Mapped[str] = mapped_column(String(10))
